TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Root ( elt-ord^pad x, elt-ord^rat n ) -> elt-ord^pad

### Description

<shortdoc> An n-th root of x, if it exists (error otherwise). </shortdoc>

### Examples

x_z5 := pAdicRing(5,20); x_R := UnramifiedExtension(x_z5,3); x_r :=x_R.1^2 + 4*x_R.1 + 4; Root(x_r, 2);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack